import java.awt.*;
import java.applet.*;
import java.io.*;
import quadbase.util.*;
import quadbase.ChartAPI.*;

public class DialChart extends Applet {
	static final long serialVersionUID = 1;

public static void main(java.lang.String[] args) {

try {

DialChart doChart = new DialChart();
Frame frame = new Frame();
frame.setLayout(new BorderLayout());
frame.add("Center", doChart.doDataFromArguments(null));
frame.setSize(500, 500);
frame.setVisible(true);

} catch (Exception ex) {

ex.printStackTrace();

}

}

public void init() {

setLayout(new BorderLayout());
add("Center", doDataFromArguments(this));
}

 
Component doDataFromArguments(Applet applet)  {

// Do not connect to EspressManager
QbChart.setEspressManagerUsed(false);

ColInfo colInfo = new ColInfo();
colInfo.category = 0;
colInfo.value = 1;

String dataType[] = {"varchar", "integer"};
String fieldName[] = {"Product", "Units Ordered"};
String records[][] = {{"Chair", "15"}, {"Table", "34"},
		      {"Cabinet", "21"}, {"Dresser", "24"}};

DbData data = new DbData(dataType, fieldName, records);
QbChart chart = new QbChart

(applet,                           // Applet
QbChart.VIEW2D,                    // Two-Dimensional
QbChart.DIAL,                      // Dial Chart
data,                              // Data
colInfo,                           // Column information
null);                             // No specified template

return chart;

}

}